## truecrypt 6.3a-maemo1

=== debian/changelog ===
truecrypt (6.3a-maemo1) unstable; urgency=low

  * Initial Maemo Fremantle Release
  * Line 26 of Core/MountOptions.h changed NoKernelCrypto to true

 -- Nathan Anderson <nathan@andersonsplace.net>  Fri, 15 Jan 2010 22:00:00 -0500
