=== debian/control ===
Source: truecrypt
Section: user/system
Priority: extra
Maintainer: Nathan Anderson <nathan@andersonsplace.net>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers, libwxbase2.6-0, wx2.6-headers, libwxbase2.6-dev, libfuse-dev
Standards-Version: 3.7.2

Package: truecrypt
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Description: Cross platform Disk Encryption, allows encrypted containers or partitions.
