## truecrypt 6.3a-maemo2

=== debian/changelog ===
truecrypt (6.3a-maemo2) unstable; urgency=low

  * Updated Control file to have missing fields
  * Added code to add truecrypt to sudoers.d

 -- Nathan Anderson <nathan@andersonsplace.net>  Fri, 13 Feb 2010 13:50:00 -0500
