=== debian/control ===
--- 
+++ 
@@ -4,6 +4,9 @@
 Maintainer: Nathan Anderson <nathan@andersonsplace.net>
 Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers, libwxbase2.6-0, wx2.6-headers, libwxbase2.6-dev, libfuse-dev
 Standards-Version: 3.7.2
+XB-Maemo-Display-Name: TrueCrypt Disk Encryption (command line only)
+XSBC-Original-Maintainer: www.truecrypt.org
+XSBC-Bugtracker: nathan@andersonsplace.net
 
 Package: truecrypt
 Architecture: armel
