=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,9 @@
 	mkdir debian/truecrypt/usr/
 	mkdir debian/truecrypt/usr/bin
 	cp -f Main/truecrypt debian/truecrypt/usr/bin/truecrypt
+	mkdir debian/truecrypt/etc
+	mkdir debian/truecrypt/etc/sudoers.d
+	cp -f sudoers.d/truecrypt.sudoers debian/truecrypt/etc/sudoers.d/truecrypt.sudoers
 
 
 # Build architecture-independent files here.
