## truecrypt 6.3a-maemo4

=== debian/changelog ===
truecrypt (6.3a-maemo4) unstable; urgency=low

  * Turn off x86 build again; the problem is missing x86 depends though.

 -- Shaun Amott <shaun@inerd.com>  Fri, 18 Jun 2010 00:08:00 +0100

truecrypt (6.3a-maemo3) unstable; urgency=low

  * Remove unnecessary depends (we're using a static build of the included wxGTK).
  * Update included wxGTK to the latest version.
  * Remove some superfluous stuff from the wxGTK dist to save space.
  * Fix short description length; add long description.
  * Fix bug tracker field.
  * Allow build on x86.

 -- Shaun Amott <shaun@inerd.com>  Thu, 17 Jun 2010 18:52:00 +0100
