=== debian/control ===
Source: truecrypt
Section: user/system
Priority: extra
Maintainer: Nathan Anderson <nathan@andersonsplace.net>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers, libfuse-dev
Standards-Version: 3.7.2

Package: truecrypt
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Description: Cross-Platform Disk Encryption Tool
 TrueCrypt is a popular cross-platform tool for creating and
 maintaining on-the-fly encrypted volumes. Volumes can either
 be partitions or file containers.
XB-Maemo-Display-Name: TrueCrypt Disk Encryption (command line only)
XSBC-Original-Maintainer: www.truecrypt.org
XSBC-Bugtracker: mailto:nathan@andersonsplace.net
