=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) NOGUI=1 WX_ROOT=$(MAINDIR)/wxGTK-2.8.10 wxbuild
+	$(MAKE) NOGUI=1 WX_ROOT=$(MAINDIR)/wxGTK-2.8.11 wxbuild
 	$(MAKE) NOGUI=1 WXSTATIC=1 PKCS11_INC=$(MAINDIR)/pkcs-11
 	touch $@
 
@@ -43,7 +43,6 @@
 	dh_testroot
 	rm -f build-stamp 
 
-	# Add here commands to clean up after the build process.
 	dh_clean 
 
 install: build
@@ -51,7 +50,6 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
-	# Add here commands to install the package
 	mkdir debian/truecrypt/usr/
 	mkdir debian/truecrypt/usr/bin
 	cp -f Main/truecrypt debian/truecrypt/usr/bin/truecrypt
