## truecrypt 7.1-maemo5

=== debian/changelog ===
truecrypt (7.1-maemo5) unstable; urgency=low

  * Upgraded to new upstream version
  * GUI
  * Makes use of kernel crypto modules, or falls back to -m nokernelcrypto if kernel doesn't have xts support
 
 -- twilight312 <twilight312@gmail.com>  Mon, 12 Dec 2011 19:15:00 +0100
