=== debian/control ===
Source: truecrypt
Section: user/system
Priority: extra
Maintainer: twilight312@gmail.com <twilight312@gmail.com>
Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers, libfuse-dev, libwxgtk2.8-dev, pkg-config, nasm
Standards-Version: 3.7.2

Package: truecrypt
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
Description: Cross-Platform Disk Encryption Tool
 TrueCrypt is a popular cross-platform tool for creating and
 maintaining on-the-fly encrypted volumes. Volumes can either
 be partitions or file containers.
XB-Maemo-Display-Name: TrueCrypt Disk Encryption
XSBC-Original-Maintainer: www.truecrypt.org
XSBC-Bugtracker: mailto:twilight312@gmail.com
