## truecrypt 7.1-maemo6

=== debian/changelog ===
truecrypt (7.1-maemo6) unstable; urgency=low

  * Fixed dependency issue (dmsetup)

 -- Piotr Jawidzyk <twilight312@gmail.com>  Mon, 08 Jan 2012 00:40:00 +0100
