=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: truecrypt
 Section: user/system
 Priority: extra
-Maintainer: twilight312@gmail.com <twilight312@gmail.com>
+Maintainer: Piotr Jawidzyk <twilight312@gmail.com>
 Build-Depends: debhelper (>= 5), autotools-dev, kernel-headers, linux-kernel-headers, libfuse-dev, libwxgtk2.8-dev, pkg-config, nasm
 Standards-Version: 3.7.2
 
 Package: truecrypt
 Architecture: armel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2
+Depends: ${shlibs:Depends}, ${misc:Depends}, libfuse2, dmsetup
 Description: Cross-Platform Disk Encryption Tool
  TrueCrypt is a popular cross-platform tool for creating and
  maintaining on-the-fly encrypted volumes. Volumes can either
