=== debian/rules ===
--- 
+++ 
@@ -34,8 +34,8 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) NOGUI=1 WX_ROOT=$(MAINDIR)/wxGTK-2.8.11 wxbuild
-	$(MAKE) NOGUI=1 WXSTATIC=1 PKCS11_INC=$(MAINDIR)/pkcs-11
+	$(MAKE)
+	$(MAKE) 
 	touch $@
 
 clean:
@@ -52,11 +52,12 @@
 	dh_installdirs
 	mkdir debian/truecrypt/usr/
 	mkdir debian/truecrypt/usr/bin
-	cp -f Main/truecrypt debian/truecrypt/usr/bin/truecrypt
+	cp -f truecrypt.wrapper debian/truecrypt/usr/bin/truecrypt
+	cp -f Main/truecrypt debian/truecrypt/usr/bin/truecrypt.real
 	mkdir debian/truecrypt/etc
 	mkdir debian/truecrypt/etc/sudoers.d
 	cp -f sudoers.d/truecrypt.sudoers debian/truecrypt/etc/sudoers.d/truecrypt.sudoers
-
+	
 
 # Build architecture-independent files here.
 binary-indep: build install
